/*
 * message and event handling
 */

#ifndef _VDRMON_HANDLER
#define _VDRMON_HANDLER


class cVdrmonSocket;
class cSelect;
class cHandler
{
public:
  bool HandleNewClient(cVdrmonClientSocket * sock);
  bool HandleVdrEvent(cVdrmonClientSocket * sock, string& msg);
  bool HandleClientRequest(cVdrmonClientSocket * sock);
  bool HandleNewClient(cSelect * select, cVdrmonClientSocket * sock);
  string GetPlays();
};

#endif
